Stores and Indexes the uploaded statement.
const url = 'https://example.com/statements/v1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"generate_id":"false","graph_id":"00000000-0000-0000-0000-000000000000","issue_vc":"false","statement":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/statements/v1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "generate_id": "false", "graph_id": "00000000-0000-0000-0000-000000000000", "issue_vc": "false", "statement": {} }'Stores and Indexes the uploaded statement.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”The statement JSON must provide an @id field unless generate_id is set to true.
If generate_id is true, the service computes the statement CID and inserts it as statement.@id.
If omitted or false, the submitted statement must already include a matching @id field.
object
If true, the service computes the statement CID and inserts it as statement.@id.
If omitted or false, the submitted statement must already include a matching @id field.
Example
falseThe uuid of the graph to register the statement under. This is the uuid used to retrieve this statement as part of a larger graph.
Example
00000000-0000-0000-0000-000000000000Set to true to create a verifiable credential for the statement.
Example
falseIntegrity statement JSON. Provide an @id field unless generate_id is set to true.
object
Responses
Section titled “ Responses ”Statement was stored and indexed. Referenced Metadata was previously stored
object
Example generated
{ "jcs_cid": "example", "rdfc_cid": "example"}Statement was stored and indexed succesfully
object
Example generated
{ "jcs_cid": "example", "rdfc_cid": "example"}The statement is missing @id while generate_id is unset, the provided @id does not match the computed statement CID, or the specified graph_id has not been registered. Register missing graphs at PUT “/graph/v1/”.